org.eclipse.ease.lang.unittest.definition.impl

## Class TestSuiteDefinition

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.ease.lang.unittest.definition.impl.TestSuiteDefinition

All Implemented Interfaces:
  ITestSuiteDefinition, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class TestSuiteDefinition
    extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
    implements ITestSuiteDefinition

An implementation of the model object 'Test Suite Definition'.

The following features are implemented:

- `Name`
- `Description`
- `Include Filter`
- `Exclude Filter`
- `Disabled Resources`
- `Variables`
- `Custom Code`
- `Flags`
- `Version`
- `Resource`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from interface org.eclipse.ease.lang.unittest.definition.ITestSuiteDefinition

`CODE_LOCATION_TESTFILE_SETUP, CODE_LOCATION_TESTFILE_TEARDOWN, CODE_LOCATION_TESTSUITE_SETUP, CODE_LOCATION_TESTSUITE_TEARDOWN`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eInvoke(int operationID, org.eclipse.emf.common.util.EList<?> arguments)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<ICode>` `getCustomCode()`
`ICode` `getCustomCode(java.lang.String location)`
`java.lang.String` `getDescription()`
`org.eclipse.emf.common.util.EList<IPath>` `getDisabledResources()`
`java.lang.String` `getExcludeFilter()`
`<T> T` `getFlag(Flag identifier, T defaultValue)`
`org.eclipse.emf.common.util.EMap<Flag,java.lang.String>` `getFlags()`
`java.lang.String` `getIncludeFilter()`
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`java.lang.String` `getNameGen()`
`java.lang.Object` `getResource()`
`IVariable` `getVariable(java.lang.String name)`
`org.eclipse.emf.common.util.EList<IVariable>` `getVariables()`
`java.lang.String` `getVersion()`
`void` `setDescription(java.lang.String newDescription)`
`void` `setExcludeFilter(java.lang.String newExcludeFilter)`
`void` `setIncludeFilter(java.lang.String newIncludeFilter)`
`void` `setName(java.lang.String newName)`
`void` `setResource(java.lang.Object newResource)`
`void` `setVersion(java.lang.String newVersion)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### getNameGen

    public java.lang.String getNameGen()

#### getName

    public java.lang.String getName()

Description copied from interface: `ITestSuiteDefinition`
Returns the value of the 'Name' attribute.

If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getName` in interface `ITestSuiteDefinition`
Returns:
  the value of the 'Name' attribute.
See Also:
  `ITestSuiteDefinition.setName(String)`, `IDefinitionPackage.getTestSuiteDefinition_Name()`

#### setName

    public void setName(java.lang.String newName)

Specified by:
  `setName` in interface `ITestSuiteDefinition`
Parameters:
  `newName` - the new value of the 'Name' attribute.
See Also:
  `ITestSuiteDefinition.getName()`

#### getDescription

    public java.lang.String getDescription()

Specified by:
  `getDescription` in interface `ITestSuiteDefinition`
Returns:
  the value of the 'Description' attribute.
See Also:
  `ITestSuiteDefinition.setDescription(String)`, `IDefinitionPackage.getTestSuiteDefinition_Description()`

#### setDescription

    public void setDescription(java.lang.String newDescription)

Specified by:
  `setDescription` in interface `ITestSuiteDefinition`
Parameters:
  `newDescription` - the new value of the 'Description' attribute.
See Also:
  `ITestSuiteDefinition.getDescription()`

#### getIncludeFilter

    public java.lang.String getIncludeFilter()

Specified by:
  `getIncludeFilter` in interface `ITestSuiteDefinition`
Returns:
  the value of the 'Include Filter' attribute.
See Also:
  `ITestSuiteDefinition.setIncludeFilter(String)`, `IDefinitionPackage.getTestSuiteDefinition_IncludeFilter()`

#### setIncludeFilter

    public void setIncludeFilter(java.lang.String newIncludeFilter)

Specified by:
  `setIncludeFilter` in interface `ITestSuiteDefinition`
Parameters:
  `newIncludeFilter` - the new value of the 'Include Filter' attribute.
See Also:
  `ITestSuiteDefinition.getIncludeFilter()`

#### getExcludeFilter

    public java.lang.String getExcludeFilter()

Specified by:
  `getExcludeFilter` in interface `ITestSuiteDefinition`
Returns:
  the value of the 'Exclude Filter' attribute.
See Also:
  `ITestSuiteDefinition.setExcludeFilter(String)`, `IDefinitionPackage.getTestSuiteDefinition_ExcludeFilter()`

#### setExcludeFilter

    public void setExcludeFilter(java.lang.String newExcludeFilter)

Specified by:
  `setExcludeFilter` in interface `ITestSuiteDefinition`
Parameters:
  `newExcludeFilter` - the new value of the 'Exclude Filter' attribute.
See Also:
  `ITestSuiteDefinition.getExcludeFilter()`

#### getDisabledResources

    public org.eclipse.emf.common.util.EList<IPath> getDisabledResources()

Specified by:
  `getDisabledResources` in interface `ITestSuiteDefinition`
Returns:
  the value of the 'Disabled Resources' attribute list.
See Also:
  `IDefinitionPackage.getTestSuiteDefinition_DisabledResources()`

#### getVariables

    public org.eclipse.emf.common.util.EList<IVariable> getVariables()

Specified by:
  `getVariables` in interface `ITestSuiteDefinition`
Returns:
  the value of the 'Variables' containment reference list.
See Also:
  `IDefinitionPackage.getTestSuiteDefinition_Variables()`

#### getCustomCode

    public org.eclipse.emf.common.util.EList<ICode> getCustomCode()

Specified by:
  `getCustomCode` in interface `ITestSuiteDefinition`
Returns:
  the value of the 'Custom Code' containment reference list.
See Also:
  `IDefinitionPackage.getTestSuiteDefinition_CustomCode()`

#### getFlags

    public org.eclipse.emf.common.util.EMap<Flag,java.lang.String> getFlags()

Specified by:
  `getFlags` in interface `ITestSuiteDefinition`
Returns:
  the value of the 'Flags' map.
See Also:
  `IDefinitionPackage.getTestSuiteDefinition_Flags()`

#### getVersion

    public java.lang.String getVersion()

Specified by:
  `getVersion` in interface `ITestSuiteDefinition`
Returns:
  the value of the 'Version' attribute.
See Also:
  `ITestSuiteDefinition.setVersion(String)`, `IDefinitionPackage.getTestSuiteDefinition_Version()`

#### setVersion

    public void setVersion(java.lang.String newVersion)

Specified by:
  `setVersion` in interface `ITestSuiteDefinition`
Parameters:
  `newVersion` - the new value of the 'Version' attribute.
See Also:
  `ITestSuiteDefinition.getVersion()`

#### getResource

    public java.lang.Object getResource()

Specified by:
  `getResource` in interface `ITestSuiteDefinition`
Returns:
  the value of the 'Resource' attribute.
See Also:
  `ITestSuiteDefinition.setResource(Object)`, `IDefinitionPackage.getTestSuiteDefinition_Resource()`

#### setResource

    public void setResource(java.lang.Object newResource)

Specified by:
  `setResource` in interface `ITestSuiteDefinition`
Parameters:
  `newResource` - the new value of the 'Resource' attribute.
See Also:
  `ITestSuiteDefinition.getResource()`

#### getCustomCode

    public ICode getCustomCode(java.lang.String location)

Specified by:
  `getCustomCode` in interface `ITestSuiteDefinition`

#### getVariable

    public IVariable getVariable(java.lang.String name)

Specified by:
  `getVariable` in interface `ITestSuiteDefinition`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eInvoke

    public java.lang.Object eInvoke(int operationID,
                                    org.eclipse.emf.common.util.EList<?> arguments)
                             throws java.lang.reflect.InvocationTargetException

Specified by:
  `eInvoke` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eInvoke` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
Throws:
  `java.lang.reflect.InvocationTargetException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### getFlag

    public <T> T getFlag(Flag identifier,
                         T defaultValue)

Specified by:
  `getFlag` in interface `ITestSuiteDefinition`